langcode: en
status: true
dependencies: {  }
id: upgrade_d7_user_role
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7_geo
label: 'User roles'
source:
  plugin: d7_user_role
process:
  id:
    -
      plugin: machine_name
      source: name
    -
      plugin: static_map
      map:
        'administrator': 'manager'
        'proofreader': 'contributor'
        'content_administrator': 'editor'
      bypass: TRUE
    -
      plugin: user_update_8002
  label:
    -
      plugin: static_map
      source: name
      map:
        'administrator': 'manager'
        'proofreader': 'contributor'
        'content administrator': 'editor'
  weight:
    -
      plugin: get
      source: weight
destination:
  plugin: 'entity:user_role'
migration_dependencies:
  optional: {  }
  required: {  }
